# List settlements

Retrieves a paginated list of <a href="https://docs.solidgate.com/finance/financial-reports/settlements/" target="_blank">settlements</a>. This endpoint requires an account-level API key.

Endpoint: POST /settlements/list
Version: 2.0.0
Security: bearerAuth

## Request fields (application/json):

  - `filters` (object)
    Filters for settlements.

  - `filters.currency` (object)
    Operator and value for settlement currency filter.

  - `filters.currency.operator` (string, required)
    Comparison operator.
    Enum: "EQ", "NEQ", "IN"

  - `filters.currency.value` (string, required)
    Currency in ISO 4217 alphabetic code. Use a comma-separated list with the `IN` operator.
    Example: USD

  - `filters.legal_entity_id` (object)
    Operator and value for legal entity identifier filter.

  - `filters.legal_entity_id.operator` (string, required)
    Comparison operator.
    Enum: "EQ", "NEQ", "IN"

  - `filters.legal_entity_id.value` (string, required)
    Identifier of the legal entity the settlements belong to. Use a comma-separated list with the `IN` operator.
    Example: le_01JZ9F3H8KQWE5T6Y7R2M4N0BX

  - `filters.period` (object)
    Operator and value for settlement period filter. Matches settlements whose period lies within the range.

  - `filters.period.operator` (string, required)
    Comparison operator.
    Enum: "RANGE"

  - `filters.period.value` (object, required)
    Inclusive range the settlement period must lie within.

  - `filters.period.value.from` (string, required)
    Earliest date of the range.
    Example: 2026-01-01

  - `filters.period.value.to` (string, required)
    Latest date of the range.
    Example: 2026-01-31

  - `filters.settlement_date` (object)
    Operator and value for settlement date filter.

  - `filters.settlement_date.operator` (string, required)
    Comparison operator.
    Enum: "RANGE"

  - `filters.settlement_date.value` (object, required)
    Inclusive range of settlement dates.

  - `filters.settlement_date.value.from` (string, required)
    Earliest date of the range.
    Example: 2026-01-01

  - `filters.settlement_date.value.to` (string, required)
    Latest date of the range.
    Example: 2026-01-31

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 200 fields (application/json):

  - `items` (array)
    List of settlements for the current page.

  - `items.id` (string, required)
    Unique settlement identifier.
    Example: sttl_01KM4X2H8KQWE5T6Y7R2M4N0BX

  - `items.provider_settlement_id` (string)
    Settlement identifier assigned by the payment provider.
    Example: po_1SiOtvARglNY93qrC4v49DbH

  - `items.provider` (string, required)
    Payment provider the settlement originates from.
    Example: ADYEN

  - `items.legal_entity_id` (string, required)
    Identifier of the legal entity that receives the settlement.
    Example: le_01JZ9F3H8KQWE5T6Y7R2M4N0BX

  - `items.amount` (integer, required)
    Settlement amount in minor units.
    Example: 150000

  - `items.currency` (string, required)
    Settlement currency in ISO 4217 alphabetic code.
    Example: USD

  - `items.settlement_date` (string, required)
    Date when the settlement was processed.
    Example: 2026-01-04

  - `items.period_from` (string)
    Start date of the transaction date range included in the settlement.
    Example: 2026-01-02

  - `items.period_to` (string)
    End date of the transaction date range included in the settlement.
    Example: 2026-01-04

  - `items.created_at` (string, required)
    Date and time when the settlement was created.
    Example: 2026-01-05T10:00:00.000000Z

  - `items.updated_at` (string, required)
    Date and time when the settlement was last updated.
    Example: 2026-01-05T12:00:00.000000Z

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 400 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "VALIDATION"

  - `message` (string, required)
    Message describing the error.
    Example: One or more fields failed validation due to constraints

  - `context` (object, required)
    Additional context about the validation error, including specific constraints.
    Example: {"constraints":{"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}}

## Response 401 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "UNAUTHENTICATED"

  - `message` (string, required)
    Message describing the error.
    Example: Credentials are invalid or missing

## Response 403 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "PERMISSION_DENIED"

  - `message` (string, required)
    Message describing the error.
    Example: Permission denied

## Response 429 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "RATE_LIMIT"

  - `message` (string, required)
    Message describing the error.
    Example: Rate limit exhausted

  - `context` (object)
    Additional context about the error.

  - `context.next_try_at` (string)
    Timestamp indicating when to retry the request.
    Example: 2024-12-31T23:59:59.000000Z

